Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types.org
Class BaseOrgUnit

    java.lang.Object
      com.tibco.bpm.web.client.model.types.org.ModelEntity
          com.tibco.bpm.web.client.model.types.org.BaseOrgUnit

Direct Known Subclasses:
  ModelOrgUnit, OrgUnit, OrgUnitEntity

    public class BaseOrgUnit

extends ModelEntity

Constructor Summary
`BaseOrgUnit()`

Method Summary
`SelectionMode` | `getAllocationMethod()`
`java.util.List<OrgAttributeValue>` | `getAttributeArray()`
`java.lang.String` | `getCalendarAlias()`
`ModelEntity` | `getLocationRef()`
`java.util.List<EntityAssignmentQualified>` | `getPrevilegeHolding()`
`java.util.List<PushDestination>` | `getPushDestArray()`
`ModelEntity` | `getSchemaType()`
`void` | `setAllocationMethod(SelectionMode allocationMethod)`
`void` | `setAttributeArray(java.util.List<OrgAttributeValue> attributeArray)`
`void` | `setCalendarAlias(java.lang.String calendarAlias)`
`void` | `setLocationRef(ModelEntity locationRef)`
`void` | `setPrevilegeHolding(java.util.List<EntityAssignmentQualified> previlegeHolding)`
`void` | `setPushDestArray(java.util.List<PushDestination> pushDestArray)`
`void` | `setSchemaType(ModelEntity schemaType)`

Methods inherited from class com.tibco.bpm.web.client.model.types.org.ModelEntity
`getGuid, getLabel, getName, setGuid, setLabel, setName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BaseOrgUnit

    public BaseOrgUnit()

Method Detail

### getAllocationMethod

    public SelectionMode getAllocationMethod()

### setAllocationMethod

    public void setAllocationMethod(SelectionMode allocationMethod)

### getPrevilegeHolding

    public java.util.List<EntityAssignmentQualified> getPrevilegeHolding()

### setPrevilegeHolding

    public void setPrevilegeHolding(java.util.List<EntityAssignmentQualified> previlegeHolding)

### getSchemaType

    public ModelEntity getSchemaType()

### setSchemaType

    public void setSchemaType(ModelEntity schemaType)

### getCalendarAlias

    public java.lang.String getCalendarAlias()

### setCalendarAlias

    public void setCalendarAlias(java.lang.String calendarAlias)

### getAttributeArray

    public java.util.List<OrgAttributeValue> getAttributeArray()

### setAttributeArray

    public void setAttributeArray(java.util.List<OrgAttributeValue> attributeArray)

### getPushDestArray

    public java.util.List<PushDestination> getPushDestArray()

### setPushDestArray

    public void setPushDestArray(java.util.List<PushDestination> pushDestArray)

### getLocationRef

    public ModelEntity getLocationRef()

### setLocationRef

    public void setLocationRef(ModelEntity locationRef)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.